package com.persagy.person.pojo.vo.role;

import com.persagy.common.constant.SaasCommonConstant;
import com.persagy.common.model.BaseUserModel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import javax.validation.constraints.NotBlank;
import java.util.Set;

/**
 * 角色信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasRoleQueryByNameVO  {


    @NotBlank(message = "集团编码，不可为空")
	@ApiModelProperty(value = "集团编码，作为SQL条件", required = true, example = "RC")
	private String groupCode; 	// 所属集团编码

    @NotBlank(message = "角色名称，不可为空")
	@ApiModelProperty(value = "角色名称，支持模糊查询", example = "zhangsan")
	private String roleName; 	// 角色名称

}
